# Uses of Class
org.apache.lucene.document.NumericDocValuesField

Packages that use NumericDocValuesField
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of NumericDocValuesField in org.apache.lucene.document

  Subclasses of NumericDocValuesField in org.apache.lucene.document
  Modifier and Type
  Class
  Description
  `class`
  `DoubleDocValuesField`
  Syntactic sugar for encoding doubles as NumericDocValues via `Double.doubleToRawLongBits(double)`.
  `class`
  `FloatDocValuesField`
  Syntactic sugar for encoding floats as NumericDocValues via `Float.floatToRawIntBits(float)`.
  Methods in org.apache.lucene.document that return NumericDocValuesField
  Modifier and Type
  Method
  Description
  `static NumericDocValuesField`
  NumericDocValuesField.`indexedField(String name, long value)`
  Creates a new `NumericDocValuesField` with the specified 64-bit long value that also creates a `skip index`.